<cfcomponent>

	
	<cffunction name="getContactQuery" access="public" output="false" returntype="query">
		<cfargument name="ContactTypeID" type="numeric" default="0" />
		<cfset var ContactQuery = "" />
		
		<cfquery name="ContactQuery" datasource="#getAppConfig().getConfig("DSN")#">
			SELECT C.ContactID, C.ContactName, C.ContactTypeID, CT.ContactType
			FROM Contact LEFT JOIN ContactType ON C.ContactTypeID = CT.ContactTypeID
			<cfif val( arguments.ContactTypeID ) GT 0 >
				WHERE C.ContactType = <cfqueryparam value="#arguments.ContactTypeID#" cfsqltype="cf_sql_numeric">
			</cfif>
		</cfquery>

		<cfreturn ContactQuery />
		
	</cffunction>
	



	<cffunction name="getAppConfig" access="public" output="false" returntype="any">
		<cfreturn variables.instance.AppConfig />
	</cffunction>
	
	<cffunction name="setAppConfig" access="public" output="false" returntype="void">
		<cfargument name="AppConfig" type="any" required="true" />
		<cfset variables.instance.AppConfig = arguments.AppConfig />
	</cffunction>

</cfcomponent>