<cfcomponent
	displayname="ContactDatabase"
	output="false"
	hint="A bean which models the ContactDatabase form.">


	<!---
	PROPERTIES
	--->
	<cfset variables.instance = StructNew() />

	<!---
	INITIALIZATION / CONFIGURATION
	--->
	<cffunction name="init" access="public" returntype="ContactManagerMG.model.ContactService" output="false">
		<cfargument name="ContactTypes" type="struct" required="false" default="#StructNew()#" />
		<cfargument name="ContactList" type="array" required="false" default="#ArrayNew(1)#" />

		<!--- run setters --->
		<cfset setContactTypes(arguments.ContactTypes) />
		<cfset setContactList(arguments.ContactList) />

		<cfreturn this />
 	</cffunction>

	<!---
	ACCESSORS
	--->
	<cffunction name="setContactTypes" access="public" returntype="void" output="false">
		<cfargument name="ContactTypes" type="struct" required="true" />
		<cfset variables.instance.ContactTypes = arguments.ContactTypes />
	</cffunction>
	<cffunction name="getContactTypes" access="public" returntype="struct" output="false">
		<cfreturn variables.instance.ContactTypes />
	</cffunction>

	<cffunction name="setContactList" access="public" returntype="void" output="false">
		<cfargument name="ContactList" type="array" required="true" />
		<cfset variables.instance.ContactList = arguments.ContactList />
	</cffunction>
	<cffunction name="getContactList" access="public" returntype="array" output="false">
		<cfreturn variables.instance.ContactList />
	</cffunction>

</cfcomponent>